Decline Content Agent slot
curl --request POST \
--url https://server.promptwatch.com/api/v2/content-agent/slots/{id}/decline \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://server.promptwatch.com/api/v2/content-agent/slots/{id}/decline"
payload = { "reason": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://server.promptwatch.com/api/v2/content-agent/slots/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"declined": true
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}Content Agent
Decline Content Agent slot
Declines a REVIEW, APPROVED, or SCHEDULED piece. The slot becomes SUPPRESSED and will not be published.
POST
/
content-agent
/
slots
/
{id}
/
decline
Decline Content Agent slot
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Path Parameters
Content schedule slot id.
Body
application/json
Why the piece was declined (stored on the slot).
Required string length:
1 - 1000Response
Default Response
Available options:
true ⌘I